> For the complete documentation index, see [llms.txt](https://docs.behodler.io/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.behodler.io/dev/subgraphs/queries.md).

# Behodler AMM

### Get All Tokens

Get a list of all tokens

```
{
  tokens(orderBy: ethBlock, orderDirection: desc){
    name
    symbol
    decimals
    eth
    usd
    volume
    ethVolume
    usdVolume
    liquidity
    totalSupply
  }
}
```

### Get All Swaps

Get a list of all swaps, most recent first

```
{
  swaps(orderBy: timestamp, orderDirection: desc){
    id
    transaction
    timestamp
    sender
    inputToken {
      id
      symbol
    }
    outputToken {
      id
      symbol
    }
    inputAmount
    outputAmount
  }
}
```

### Get Volume and Liquidity

Get total swap volume (all swaps) and current liquidity

```
{
  behodler(id:1)
    {
      ethVolume
      usdVolume
      ethLiquidity
      usdLiquidity
    }
}
```

### Get Liquidity transactions

Get a list of all liquidity transactions (minting and burning of SCX) , most recent first

```
{
  liquidities(orderBy: timestamp, orderDirection: desc){
    id
    timestamp
    direction
    token {
      id
      symbol
    }
    amount
    scx
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.behodler.io/dev/subgraphs/queries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
